/*
    NullBot Robot Client 

    (C) 2005-2011 Jason Hunt

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    Contact: nulluser@gmail.com

    FILE: utility.h
*/

#ifndef UTILITY_H
#define UTILITY_H

double get_time( void );
  
void append_byte(unsigned char *buffer, unsigned int &index, unsigned char data);

void log(char *fmt, ... );


void console(char *fmt, ... );

void show_buffer(char *header, unsigned char *data, int len);
void show_buffer(char *header, unsigned char *data, int len, bool display);


double f_rand(double s, double e);
double angle_wrap(double a);
double vect_mag(double x, double y);
void console(char *fmt, ... );



void addlog(char *s);
void set_logging(bool new_state);
bool get_logging( void );

void clamp ( double &val, double max );
unsigned char get_checksum(unsigned char *buff, unsigned int len);

void rand_seed( void );




#endif








