/*
	NullBot Robot Platform - NodeIO - 2005-2011 Jason Hunt

	Contact: nulluser@gmail.com
    
	GNU GENERAL PUBLIC LICENSE Version 2, June 1991
	
	This program is free software; you can redistribute it and/or
    	modify it under the terms of the GNU General Public License
    	as published by the Free Software Foundation; either version 2
    	of the License, or (at your option) any later version.

    	This program is distributed in the hope that it will be useful,
    	but WITHOUT ANY WARRANTY; without even the implied warranty of
    	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    	GNU General Public License for more details.

    	You should have received a copy of the GNU General Public License
    	along with this program; if not, write to the Free Software
    	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

	File: comm.c
*/

#ifndef COMM_H
#define COMM_H

void process_host_rx ( unsigned char d );
void comm_reset( void );
void comm_init( void );
void comm_clear_timeout( void );

void comm_clear_packet_timeout( void );

void write_packet(unsigned char *packet, unsigned int len);


unsigned int get_checksum(unsigned char *buff, unsigned int len);


#endif

